petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetDS

Get the default PetscDS

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetDS(DM dm, PetscDS *prob)

Not collective

### Input Parameter

dm -The DM

### Output Parameter

prob -The default PetscDS

### See Also

DMGetCellDS(), DMGetRegionDS()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages